For the complete documentation index, see llms.txt. This page is also available as Markdown.

Remove Product

This API callback will remove the product entirely from the cart, regardless of the quantity for that product. If the same product is part of a package that is also within the cart, these will remain.

zapiAddRemoveProductCartItem

DELETE https://{yourdomainname}.zaui.net/zapi/

Request Body

Name
Type
Description

zapiToken*

String

Token that must be used for a reseller to communicate with the supplier system.

cartId*

String

ID of the current cart session to add the activity to.

methodName*

String

The method being called.

zapiUserId*

String

Generated by the supplier system when a new contact is created.

zapiAccountId*

String

Generated by the supplier system.

productId*

String

ID of the product to remove.

<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiRemoveProductCartItem</methodName>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[Ski Poles removed]]>
        </methodErrorMessage>
        <cart>
            <cartId>b426a7c1d3b368a8d63ac60688b74f30</cartId>
            <customers/>
            <activities/>
            <products/>
            <remainingBalance>
                <balance>$0.00</balance>
            </remainingBalance>
            <cartTotals>
                <bookingNumber>0</bookingNumber>
                <modifyBookingNumber>0</modifyBookingNumber>
                <bookingSourcedOnline/>
                <activityTotal>$0.00</activityTotal>
                <activityTax>$0.00</activityTax>
                <productTotal>$0.00</productTotal>
                <productTax>$0.00</productTax>
                <packageTotal>$0.00</packageTotal>
                <activitySurplusFees>$0.00</activitySurplusFees>
                <guestFee>$0.00</guestFee>
                <surchargeTotal>$0.00</surchargeTotal>
                <perPersonTax>$0.00</perPersonTax>
                <total>$0.00</total>
                <tax>$0.00</tax>
                <taxUnrounded>$0.00</taxUnrounded>
                <totalIncludingTax>$0.00</totalIncludingTax>
                <totalNetAmount>$0.00</totalNetAmount>
                <zauiMerchantFee>$0.30</zauiMerchantFee>
                <packageTotal_formatted>$0.00</packageTotal_formatted>
                <activityTotal_formatted>$0.00</activityTotal_formatted>
                <productTotal_formatted>$0.00</productTotal_formatted>
                <subtotal_formatted>$0.00</subtotal_formatted>
                <tax_formatted>$0.00</tax_formatted>
                <totalIncludingTax_formatted>$0.00</totalIncludingTax_formatted>
                <totalNetAmount_formatted>$0.00</totalNetAmount_formatted>
            </cartTotals>
        </cart>
        <currencies/>
    </methodResponse>
</response>

Last updated

Was this helpful?